Subject: Ticket Assigned - My First Click and Collect Order
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Thu, 10 Sep 2020 08:02:25 +0000

Hi Rehan Khan,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  My First Click and Collect Order Good day Centrepoint,
I want to give you some feedback on my experience with Click and Collect. It was my first time using this option as usually I choose home-delivery for online purchases. I feel that this new feature didn't improve my experience. The delivery time was longer and my order was difficult to track. Once the items arrived, I went to Centrepoint in MOE and was asked to go to the Click and Collect counter. The counter had a queue of  customers for return/exchange and I was asked to wait. If my order was ready I didnt feel that I should be waiting in the same queue since return/exchange take longer addressing concerns. I enjoy shopping at Centrepoint but I will not be using the Click and Collect feature again.
Regards, Alia Kazim 
 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/1469158